NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.OffsetCurveBuilder Class Reference

Represents a NXOpen.Features.OffsetCurve builder More...

Inheritance diagram for NXOpen.Features.OffsetCurveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  TrimOption { None, ExtendTangents, Fillet }
 Represents the Offset Curve trim option More...
 
enum  Types { Distance, Draft, LawControl, Axial3d }
 Represents the Offset Curve types More...
 

Public Member Functions

unsafe void ComputeOffsetDirection (out NXOpen.Vector3d offsetDirection, out NXOpen.Point3d startPoint)
 To compute offset direction. More...
 
unsafe void ComputeOffsetDirection (NXOpen.ICurve seedEntity, NXOpen.Point3d seedPoint, out NXOpen.Vector3d offsetDirection, out NXOpen.Point3d startPoint)
 To compute offset direction on the seed entity at the given seed point. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Direction AxialOffsetDirection [get, set]
 Returns or sets the direction More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitData 
CurveFitData [get]
 Returns the curve fit settings More...
 
unsafe
NXOpen.GeometricUtilities.CurveFitOptions 
CurveFitMethod [get]
 Returns the curve fit method More...
 
unsafe NXOpen.Section CurvesToOffset [get]
 Returns the curves to offset More...
 
unsafe NXOpen.Expression DraftAngle [get]
 Returns the angle More...
 
unsafe NXOpen.Expression DraftHeight [get]
 Returns the height More...
 
unsafe double ExtendFactor [get, set]
 Returns or sets the extend factor More...
 
unsafe bool GroupObjects [get, set]
 Returns or sets the group objects More...
 
unsafe
NXOpen.GeometricUtilities.CurveOptions 
InputCurvesOptions [get]
 Returns the input curves More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
LawControl [get]
 Returns the Law builder More...
 
unsafe int NumberOfCopies [get, set]
 Returns or sets the number of copies More...
 
unsafe NXOpen.Expression Offset3dDistance [get]
 Returns the offset3d More...
 
unsafe NXOpen.Expression OffsetDistance [get]
 Returns the distance More...
 
unsafe NXOpen.Point PointOnOffsetPlane [get, set]
 Returns or sets the point on offset plane More...
 
unsafe bool ReverseDirection [get, set]
 Returns or sets the reverse direction More...
 
unsafe bool RoughOffset [get, set]
 Returns or sets the rough offset More...
 
unsafe double Tolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe
NXOpen.Features.OffsetCurveBuilder.TrimOption 
TrimMethod [get, set]
 Returns or sets the trim More...
 
unsafe
NXOpen.Features.OffsetCurveBuilder.Types 
Type [get, set]
 Returns or sets the offset type More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.OffsetCurve builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateOffsetCurveBuilder

Default values.

Property Value

CurveFitData.CurveJoinMethod

No

CurveFitData.Degree

7

CurveFitData.FitMethod

DegreeAndSegments

CurveFitData.IsAdvancedFit

0

CurveFitData.IsAlignShape

0

CurveFitData.MaximumDegree

7

CurveFitData.MaximumSegments

1

CurveFitData.MinimumDegree

5

CurveFitData.Segments

1

CurveFitMethod.FitOption

Cubic

CurveFitMethod.MaximumDegree

7

CurveFitMethod.MaximumSegments

1

DraftAngle.Value

0.0

DraftHeight.Value

5.0 (millimeters part), 0.25 (inches part)

ExtendFactor (deprecated)

1.0

GroupObjects

false

InputCurvesOptions.Associative

true

LawControl.EndValue.Value

5.0 (millimeters part), 0.25 (inches part)

LawControl.Function

ft

LawControl.LawType

Constant

LawControl.Parameter

t

LawControl.StartValue.Value

5.0 (millimeters part), 0.25 (inches part)

LawControl.Value.Value

5.0 (millimeters part), 0.25 (inches part)

NumberOfCopies

1

Offset3dDistance.Value

5.0 (millimeters part), 0.25 (inches part)

OffsetDistance.Value

5.0 (millimeters part), 0.25 (inches part)

RoughOffset

false

TrimMethod

ExtendTangents

Type

Distance

Created in NX5.0.0

Member Enumeration Documentation

Represents the Offset Curve trim option

Enumerator
None 

None

ExtendTangents 

Extend Tangents

Fillet 

Fillet

Represents the Offset Curve types

Enumerator
Distance 

Distance

Draft 

Draft

LawControl 

Law Control

Axial3d 

3D Axial

Member Function Documentation

unsafe void NXOpen.Features.OffsetCurveBuilder.ComputeOffsetDirection ( out NXOpen.Vector3d  offsetDirection,
out NXOpen.Point3d  startPoint 
)
inline

To compute offset direction.

To compute offset direction whenever it is required or needs to be updated.

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
offsetDirectiondirection of offset
startPointstart point of direction
unsafe void NXOpen.Features.OffsetCurveBuilder.ComputeOffsetDirection ( NXOpen.ICurve  seedEntity,
NXOpen.Point3d  seedPoint,
out NXOpen.Vector3d  offsetDirection,
out NXOpen.Point3d  startPoint 
)
inline

To compute offset direction on the seed entity at the given seed point.

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
seedEntityseed entity that is part of section of offset curve builder
seedPointseed point on the seed entity at which to compute the offset direction
offsetDirectiondirection of offset at seed point on seed entity
startPointstart point of entities in section of offset curve

Property Documentation

unsafe NXOpen.Direction NXOpen.Features.OffsetCurveBuilder.AxialOffsetDirection
getset

Returns or sets the direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.GeometricUtilities.CurveFitData NXOpen.Features.OffsetCurveBuilder.CurveFitData
get

Returns the curve fit settings

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.CurveFitOptions NXOpen.Features.OffsetCurveBuilder.CurveFitMethod
get

Returns the curve fit method

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.OffsetCurveBuilder.CurvesToOffset
get

Returns the curves to offset

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.OffsetCurveBuilder.DraftAngle
get

Returns the angle

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.OffsetCurveBuilder.DraftHeight
get

Returns the height

Created in NX5.0.0

License requirements: None.

unsafe double NXOpen.Features.OffsetCurveBuilder.ExtendFactor
getset

Returns or sets the extend factor

Created in NX5.0.0

Deprecated in NX11.0.0. Extend factor functionality is no longer supported.

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe bool NXOpen.Features.OffsetCurveBuilder.GroupObjects
getset

Returns or sets the group objects

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.GeometricUtilities.CurveOptions NXOpen.Features.OffsetCurveBuilder.InputCurvesOptions
get

Returns the input curves

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.OffsetCurveBuilder.LawControl
get

Returns the Law builder

Created in NX5.0.0

License requirements: None.

unsafe int NXOpen.Features.OffsetCurveBuilder.NumberOfCopies
getset

Returns or sets the number of copies

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Expression NXOpen.Features.OffsetCurveBuilder.Offset3dDistance
get

Returns the offset3d

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.OffsetCurveBuilder.OffsetDistance
get

Returns the distance

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.OffsetCurveBuilder.PointOnOffsetPlane
getset

Returns or sets the point on offset plane

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe bool NXOpen.Features.OffsetCurveBuilder.ReverseDirection
getset

Returns or sets the reverse direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe bool NXOpen.Features.OffsetCurveBuilder.RoughOffset
getset

Returns or sets the rough offset

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe double NXOpen.Features.OffsetCurveBuilder.Tolerance
getset

Returns or sets the distance tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Features.OffsetCurveBuilder.TrimOption NXOpen.Features.OffsetCurveBuilder.TrimMethod
getset

Returns or sets the trim

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe NXOpen.Features.OffsetCurveBuilder.Types NXOpen.Features.OffsetCurveBuilder.Type
getset

Returns or sets the offset type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.